classification
Title: Argument Clinic doesn't support the "type" argument for the int converter
Type: compile error Stage:
Components: Build Versions: Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: larry Nosy List: brett.cannon, larry, pitrou, python-dev
Priority: critical Keywords: patch

Created on 2014-10-11 22:31 by pitrou, last changed 2014-10-13 12:14 by pitrou. This issue is now closed.

Files
File name Uploaded Description Edit
larry.add.type.to.int.converter.1.diff larry, 2014-10-12 03:46 review
Messages (4)
msg229107 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2014-10-11 22:31
This is on the default branch.

$ make clinic
./python -E ./Tools/clinic/clinic.py --make
Error in file "./Modules/arraymodule.c" on line 1943:
Exception raised during parsing:
Traceback (most recent call last):
  File "./Tools/clinic/clinic.py", line 1626, in parse
    parser.parse(block)
  File "./Tools/clinic/clinic.py", line 3178, in parse
    self.state(line)
  File "./Tools/clinic/clinic.py", line 3660, in state_parameter
    converter = dict[name](c_name or parameter_name, parameter_name, self.function, value, **kwargs)
  File "./Tools/clinic/clinic.py", line 2200, in __init__
    self.converter_init(**kwargs)
TypeError: converter_init() got an unexpected keyword argument 'type'
make: *** [clinic] Erreur 255
msg229113 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2014-10-12 03:46
Patch attached.  Brett was using a feature that didn't exist, so I'm not sure how it could have worked for him.  But it was a reasonable implicit feature request, and easy to implement, so here we are.

I'm not sure what's causing the churn in "bytesobject.c" here.  It looks like someone changed the Clinic block in a way that it produces the same output, but didn't bother to run Clinic on it and check it in.
msg229237 - (view) Author: Roundup Robot (python-dev) Date: 2014-10-13 09:40
New changeset c0224ff67cdd by Larry Hastings in branch 'default':
Issue #22615: Argument Clinic now supports the "type" argument for the
https://hg.python.org/cpython/rev/c0224ff67cdd
msg229241 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2014-10-13 12:14
Thanks, Larry!
History
Date User Action Args
2014-10-13 12:14:36pitrousetmessages: + msg229241
2014-10-13 09:41:09larrysetstatus: open -> closed
assignee: larry
type: compile error
resolution: fixed
2014-10-13 09:40:01python-devsetnosy: + python-dev
messages: + msg229237
2014-10-13 09:39:11larrysettitle: "make clinic" doesn't work -> Argument Clinic doesn't support the "type" argument for the int converter
2014-10-12 03:46:16larrysetfiles: + larry.add.type.to.int.converter.1.diff
keywords: + patch
messages: + msg229113
2014-10-11 22:31:33pitroucreate